Skip to main content
POST
POST /api/bots/{botId}/memory/records

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

botId
string
required

Body

application/json
scope
enum<string>
required
Available options:
bot,
user,
project,
room
content
string
required
Maximum string length: 200000
projectKey
string
Required string length: 1 - 120
Pattern: ^[\p{L}\p{N}][\p{L}\p{N}._-]*$
roomId
string<uuid>
whatsappJid
string
Maximum string length: 128
Pattern: ^[0-9A-Za-z._:-]{1,100}@(s\.whatsapp\.net|g\.us|lid)$
whatsappPersonName
string
Required string length: 1 - 200

Response

Success

id
string<uuid>
required
scope
enum<string>
required
Available options:
bot,
user,
project,
room
botId
string<uuid> | null
required
roomId
string<uuid> | null
required
projectKey
string | null
required
Maximum string length: 120
whatsappJid
string | null
required
Maximum string length: 128
Pattern: ^[0-9A-Za-z._:-]{1,100}@(s\.whatsapp\.net|g\.us|lid)$
whatsappPersonName
string | null
required
Required string length: 1 - 200
content
string
required
Maximum string length: 200000
createdBy
enum<string>
required
Available options:
user,
agent,
system
createdByBotId
string<uuid> | null
required
sourceConversationId
string<uuid> | null
required
sourceRunId
string<uuid> | null
required
version
integer
required
Required range: x <= 9007199254740991
createdAt
string<date-time>
required
updatedAt
string<date-time>
required